升级Mac系统后gem安装软件找不到解决方案

October 19, 2015

刚刚升级了苹果的新系统OS X EI Capitan,却是引入了很多方便的特性。但是当我运行我的Pod的时候,出现了如下状况

pod update

输出

command not found: pod

找不到命令?难道是我升级了系统后gem安装的软件被修改或是删除了?于是我键入了如下命令

#现实gem本地的安装包
gem list

结果如下

cocoapods (0.39.0, 0.38.2, 0.36.3, 0.34.2)
cocoapods-core (0.39.0, 0.38.2, 0.36.3, 0.34.2)
cocoapods-downloader (0.9.3, 0.9.0, 0.7.2)
cocoapods-plugins (0.4.2, 0.4.1, 0.3.1)
cocoapods-search (0.1.0)
cocoapods-stats (0.6.2, 0.5.3)
cocoapods-trunk (0.6.4, 0.6.0, 0.3.1)
cocoapods-try (0.5.1, 0.4.5, 0.4.3, 0.4.1)

看情况是有安装包的,那我们怎么找不到了,环境变量?
于是我运行如下命令

sudo find / -name pod

输出了一个类似如下的路径

/Library/SystemMigration/History/Migration-FBFEDAC0-1A75-4137-A98C-C2B5653EB48E/QuarantineRoot/usr/bin

进去看看,却是惊呆了,安装的gem程序都在里边,那这就简单过了,我将该路径添加至我的环境变量,问题解决了!

Comments